org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_INPUTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_INPUTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_INPUTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_INPUTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_INPUTNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_INPUTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindDescription(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindEditable(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindFieldwidth(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindFiltersuggests(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindFlush(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindFormat(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindFormatmask(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindInputtype(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindMaxlength(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindMaxsuggestionwidth(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindPlaceholder(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindShowsuggestion(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindShowvaluehelp(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindStartsuggestion(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindSuggestionbinding(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindSuggestionloadroundtrip(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindTimezone(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindValue(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindValuehelponly(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindValuestate(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_INPUTNode` | `setActionListener(java.lang.String value)`
    `UI5M_INPUTNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_INPUTNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_INPUTNode` | `setComment(java.lang.String value)`
    `UI5M_INPUTNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_INPUTNode` | `setDescription(java.lang.String value)`
    `UI5M_INPUTNode` | `setEditable(java.lang.String value)`
    `UI5M_INPUTNode` | `setEnabled(boolean value)`
    `UI5M_INPUTNode` | `setEnabled(java.lang.String value)`
    `UI5M_INPUTNode` | `setFieldwidth(int value)`
    `UI5M_INPUTNode` | `setFieldwidth(java.lang.String value)`
    `UI5M_INPUTNode` | `setFiltersuggests(boolean value)`
    `UI5M_INPUTNode` | `setFiltersuggests(java.lang.String value)`
    `UI5M_INPUTNode` | `setFlush(boolean value)`
    `UI5M_INPUTNode` | `setFlush(java.lang.String value)`
    `UI5M_INPUTNode` | `setFormat(java.lang.String value)`
    `UI5M_INPUTNode` | `setFormatmask(java.lang.String value)`
    `UI5M_INPUTNode` | `setId(java.lang.String value)`
    `UI5M_INPUTNode` | `setInputtype(java.lang.String value)`
    `UI5M_INPUTNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_INPUTNode` | `setMaxlength(int value)`
    `UI5M_INPUTNode` | `setMaxlength(java.lang.String value)`
    `UI5M_INPUTNode` | `setMaxsuggestionwidth(int value)`
    `UI5M_INPUTNode` | `setMaxsuggestionwidth(java.lang.String value)`
    `UI5M_INPUTNode` | `setPlaceholder(java.lang.String value)`
    `UI5M_INPUTNode` | `setReference(java.lang.String value)`
    `UI5M_INPUTNode` | `setRendered(boolean value)`
    `UI5M_INPUTNode` | `setRendered(java.lang.String value)`
    `UI5M_INPUTNode` | `setShowsuggestion(boolean value)`
    `UI5M_INPUTNode` | `setShowsuggestion(java.lang.String value)`
    `UI5M_INPUTNode` | `setShowvaluehelp(boolean value)`
    `UI5M_INPUTNode` | `setShowvaluehelp(java.lang.String value)`
    `UI5M_INPUTNode` | `setStartsuggestion(java.lang.String value)`
    `UI5M_INPUTNode` | `setStyleseq(java.lang.String value)`
    `UI5M_INPUTNode` | `setStylevariant(java.lang.String value)`
    `UI5M_INPUTNode` | `setSuggestionbinding(java.lang.String value)`
    `UI5M_INPUTNode` | `setSuggestionloadroundtrip(boolean value)`
    `UI5M_INPUTNode` | `setSuggestionloadroundtrip(java.lang.String value)`
    `UI5M_INPUTNode` | `setTimezone(java.lang.String value)`
    `UI5M_INPUTNode` | `setValue(java.lang.String value)`
    `UI5M_INPUTNode` | `setValuehelponly(java.lang.String value)`
    `UI5M_INPUTNode` | `setValuestate(java.lang.String value)`
    `UI5M_INPUTNode` | `setWidth(int value)`
    `UI5M_INPUTNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_INPUTNode

          public UI5M_INPUTNode()

  - ### Method Detail

    - #### setId

          public UI5M_INPUTNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_INPUTNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_INPUTNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_INPUTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_INPUTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_INPUTNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_INPUTNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_INPUTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_INPUTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_INPUTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDescription

          public UI5M_INPUTNode setDescription(java.lang.String value)

    - #### bindDescription

          public UI5M_INPUTNode bindDescription(IDynamicContentBindingObject value)

    - #### setEditable

          public UI5M_INPUTNode setEditable(java.lang.String value)

    - #### bindEditable

          public UI5M_INPUTNode bindEditable(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_INPUTNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_INPUTNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_INPUTNode setEnabled(boolean value)

    - #### setFieldwidth

          public UI5M_INPUTNode setFieldwidth(java.lang.String value)

    - #### bindFieldwidth

          public UI5M_INPUTNode bindFieldwidth(IDynamicContentBindingObject value)

    - #### setFieldwidth

          public UI5M_INPUTNode setFieldwidth(int value)

    - #### setFiltersuggests

          public UI5M_INPUTNode setFiltersuggests(java.lang.String value)

    - #### bindFiltersuggests

          public UI5M_INPUTNode bindFiltersuggests(IDynamicContentBindingObject value)

    - #### setFiltersuggests

          public UI5M_INPUTNode setFiltersuggests(boolean value)

    - #### setFlush

          public UI5M_INPUTNode setFlush(java.lang.String value)

    - #### bindFlush

          public UI5M_INPUTNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_INPUTNode setFlush(boolean value)

    - #### setFormat

          public UI5M_INPUTNode setFormat(java.lang.String value)

    - #### bindFormat

          public UI5M_INPUTNode bindFormat(IDynamicContentBindingObject value)

    - #### setFormatmask

          public UI5M_INPUTNode setFormatmask(java.lang.String value)

    - #### bindFormatmask

          public UI5M_INPUTNode bindFormatmask(IDynamicContentBindingObject value)

    - #### setInputtype

          public UI5M_INPUTNode setInputtype(java.lang.String value)

    - #### bindInputtype

          public UI5M_INPUTNode bindInputtype(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_INPUTNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_INPUTNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setMaxlength

          public UI5M_INPUTNode setMaxlength(java.lang.String value)

    - #### bindMaxlength

          public UI5M_INPUTNode bindMaxlength(IDynamicContentBindingObject value)

    - #### setMaxlength

          public UI5M_INPUTNode setMaxlength(int value)

    - #### setMaxsuggestionwidth

          public UI5M_INPUTNode setMaxsuggestionwidth(java.lang.String value)

    - #### bindMaxsuggestionwidth

          public UI5M_INPUTNode bindMaxsuggestionwidth(IDynamicContentBindingObject value)

    - #### setMaxsuggestionwidth

          public UI5M_INPUTNode setMaxsuggestionwidth(int value)

    - #### setPlaceholder

          public UI5M_INPUTNode setPlaceholder(java.lang.String value)

    - #### bindPlaceholder

          public UI5M_INPUTNode bindPlaceholder(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_INPUTNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_INPUTNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_INPUTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_INPUTNode setRendered(boolean value)

    - #### setShowsuggestion

          public UI5M_INPUTNode setShowsuggestion(java.lang.String value)

    - #### bindShowsuggestion

          public UI5M_INPUTNode bindShowsuggestion(IDynamicContentBindingObject value)

    - #### setShowsuggestion

          public UI5M_INPUTNode setShowsuggestion(boolean value)

    - #### setShowvaluehelp

          public UI5M_INPUTNode setShowvaluehelp(java.lang.String value)

    - #### bindShowvaluehelp

          public UI5M_INPUTNode bindShowvaluehelp(IDynamicContentBindingObject value)

    - #### setShowvaluehelp

          public UI5M_INPUTNode setShowvaluehelp(boolean value)

    - #### setStartsuggestion

          public UI5M_INPUTNode setStartsuggestion(java.lang.String value)

    - #### bindStartsuggestion

          public UI5M_INPUTNode bindStartsuggestion(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_INPUTNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_INPUTNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_INPUTNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_INPUTNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setSuggestionbinding

          public UI5M_INPUTNode setSuggestionbinding(java.lang.String value)

    - #### bindSuggestionbinding

          public UI5M_INPUTNode bindSuggestionbinding(IDynamicContentBindingObject value)

    - #### setSuggestionloadroundtrip

          public UI5M_INPUTNode setSuggestionloadroundtrip(java.lang.String value)

    - #### bindSuggestionloadroundtrip

          public UI5M_INPUTNode bindSuggestionloadroundtrip(IDynamicContentBindingObject value)

    - #### setSuggestionloadroundtrip

          public UI5M_INPUTNode setSuggestionloadroundtrip(boolean value)

    - #### setTimezone

          public UI5M_INPUTNode setTimezone(java.lang.String value)

    - #### bindTimezone

          public UI5M_INPUTNode bindTimezone(IDynamicContentBindingObject value)

    - #### setValue

          public UI5M_INPUTNode setValue(java.lang.String value)

    - #### bindValue

          public UI5M_INPUTNode bindValue(IDynamicContentBindingObject value)

    - #### setValuehelponly

          public UI5M_INPUTNode setValuehelponly(java.lang.String value)

    - #### bindValuehelponly

          public UI5M_INPUTNode bindValuehelponly(IDynamicContentBindingObject value)

    - #### setValuestate

          public UI5M_INPUTNode setValuestate(java.lang.String value)

    - #### bindValuestate

          public UI5M_INPUTNode bindValuestate(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_INPUTNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_INPUTNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_INPUTNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.